Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(251)

Unified Diff: webrtc/build/ios/build_ios_framework.sh

Issue 1875003004: Fix WebRTC API framework build. (Closed) Base URL: https://chromium.googlesource.com/external/webrtc.git@master
Patch Set: Created 4 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « webrtc/build/ios/SDK/Framework/WebRTC.xcodeproj/project.pbxproj ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: webrtc/build/ios/build_ios_framework.sh
diff --git a/webrtc/build/ios/build_ios_framework.sh b/webrtc/build/ios/build_ios_framework.sh
index 35ec552798ce711f2f5f6b3c9912fddc283100ee..6d524794586559280d96fcafa1c46040e04beef9 100755
--- a/webrtc/build/ios/build_ios_framework.sh
+++ b/webrtc/build/ios/build_ios_framework.sh
@@ -62,8 +62,16 @@ PROJECT_DIR=${SDK_DIR}/Framework
pushd ${PROJECT_DIR}
xcodebuild -project WebRTC.xcodeproj -scheme WebRTC -configuration Release \
build CODE_SIGN_IDENTITY="" CODE_SIGNING_REQUIRED=NO
+if [ $? -ne 0 ]; then
kjellander_webrtc 2016/04/11 20:01:30 I suggest adding set -e in the beginning of the sc
+ echo "Failed to build armv7+arm64 framework." >&2
+ exit 1
+fi
xcodebuild -project WebRTC.xcodeproj -scheme WebRTC -configuration Release \
build -destination 'platform=iOS Simulator,name=iPhone 6'
+if [ $? -ne 0 ]; then
+ echo "Failed to build simulator framework." >&2
+ exit 1
+fi
popd
# Copy podspec, framework, dSYM and LICENSE to FRAMEWORK_BASE_DIR
« no previous file with comments | « webrtc/build/ios/SDK/Framework/WebRTC.xcodeproj/project.pbxproj ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698